Subject: Re: bug#52908: 'tests/guix-system.sh' fails on aarch64-linux

From: Aiko Kyle <[email-masked]>
Date: Wed, 5 Jan 2022 10:34:11 -0700

On Wed, Jan 5, 2022 at 2:58 AM Chris Marusich <[email-masked]> wrote:
>
>
> > It would be great to get this upstreamed soon so I can start guix
> > pulling master. I think the guix commit and revision in
> > package-management.scm will also need to be bumped after applying this
> > fix.
>
> It shouldn't be necessary to update the guix commit and revision in
> package-management.scm.  My understanding is that "guix pull" will
> install Guix at the specified commit; it does not use the guix package
> to decide which version to install.  In other words, even if at the
> specified commit the "guix" package is defined to use an older version
> (I believe this is always the case, actually), it will not stop "guix
> pull" from installing Guix at the specified commit.
>
> If it's necessary to update the "guix" package, we can certainly do it.
> However, I don't recall that it's necessary for fixing "guix pull"
> problems like this.  If you still believe it's necessary, can you help
> me to understand why it's necessary?
>

I actually encountered this issue not doing a "guix pull" but in doing
a "guix system reconfigure" after a guix pull. I don't really
understand why, but I think guix system reconfigure will continue to
fail until the "guix" package is updated. I may be totally incorrect
here though as I'm still new to this.